Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 168531 - java.util.MissingResourceException: Can't find resource for bundle org.openide.util.NbBundle$PBundle, key ACTION_test.single
java.util.MissingResourceException: Can't find resource for bundle org.openid...
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Project
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jan Jancura
issues@java
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT, 67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-14 10:14 UTC by pribyl
Modified: 2009-07-16 17:24 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.82 KB, text/plain)
2009-07-14 10:14 UTC, pribyl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pribyl 2009-07-14 10:14:15 UTC
Build: NetBeans IDE Dev (Build 200907140201)
VM: Java HotSpot(TM) Client VM, 14.0-b16, Java(TM) SE Runtime Environment, 1.6.0_14-b08
OS: Windows XP, 5.1, x86

User Comments:
pribyl: I created new AngramGame project, selected WordLibrary.java and invoked "Test" from its popup menu



Stacktrace: 
java.util.MissingResourceException: Can't find resource for bundle org.openide.util.NbBundle$PBundle, key ACTION_test.single<br/>
        at java.util.ResourceBundle.getObject(ResourceBundle.java:384)<br/>
        at java.util.ResourceBundle.getString(ResourceBundle.java:344)<br/>
        at org.openide.util.NbBundle.getMessage(NbBundle.java:631)<br/>
        at org.netbeans.modules.java.j2seproject.J2SEActionProvider.invokeAction(J2SEActionProvider.java:519)<br/>
        at org.netbeans.modules.project.ui.actions.FileCommandAction.actionPerformed(FileCommandAction.java:96)<br/>
        at org.netbeans.modules.project.ui.actions.LookupSensitiveAction.actionPerformed(LookupSensitiveAction.java:166)<br/>
Comment 1 pribyl 2009-07-14 10:14:25 UTC
Created attachment 84691 [details]
stacktrace
Comment 2 pribyl 2009-07-14 11:25:19 UTC
This Exception is thrown every time the "Test" option is selected from the file's popup menu.
The only way how to run a test is to select the test file directly (e.g. MyClassTest.java) and run it directly.

In the Test result window there is a "Rerun test" button. After pressing this button, the exception is thrown again.

This can be reproduced using the sample AnagramGame project, or create own J2SE project, create a test for any class and
try to test this class using the popup menu.

I'll gladly help with further investigation :) Should I try different JDK, OS ... ? I tried to reproduce this in 6.7,
but it worked fine.
Comment 3 Jan Jancura 2009-07-15 14:05:30 UTC
fixed in #69b4479f08d8
Comment 4 Quality Engineering 2009-07-16 05:58:50 UTC
Integrated into 'main-golden', will be available in build *200907160201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/69b4479f08d8
User: Jan Jancura <jjancura@netbeans.org>
Log: #168531:java.util.MissingResourceException: Can't find resource for bundle org.openide.util.NbBundle, key ACTION_test.single
Comment 5 pribyl 2009-07-16 10:29:52 UTC
Product Version: NetBeans IDE Dev (Build 200907160201)
Java: 1.6.0_14; Java HotSpot(TM) Client VM 14.0-b16
System: Windows XP version 5.1 running on x86; Cp1250; cs_CZ (nb)

Verified
Comment 7 Jiri Prox 2009-07-16 17:24:54 UTC
v in 6.7.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo